Bug 1573691 - [abrt] evince: atk_object_notify_state_change(): evince killed by SIGSEGV
Summary: [abrt] evince: atk_object_notify_state_change(): evince killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f2805f9e6aa6d11ef57aac9dae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 02:15 UTC by D. Hugh Redelmeier
Modified: 2018-11-30 21:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:21:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.29 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: cgroup (321 bytes, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: core_backtrace (26.67 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: dso_list (10.26 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: environ (1.57 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: maps (53.30 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: mountinfo (3.71 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: open_fds (2.41 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details
File: var_log_messages (749 bytes, text/plain)
2018-05-02 02:15 UTC, D. Hugh Redelmeier
no flags Details

Description D. Hugh Redelmeier 2018-05-02 02:15:30 UTC
Description of problem:
evince was showing the output of tikz (a latex thing).  tikz was run to generate the file again and evince crashed (normally it would just show the new contents)

Version-Release number of selected component:
evince-3.26.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        evince /home/emily/Downloads/quaternionalg/current.pdf
crash_function: atk_object_notify_state_change
executable:     /usr/bin/evince
journald_cursor: s=d7e8305a286f4961be5130d50c59f386;i=22af8f;b=66708b6d8e7845b2a1f2ee89c6c66638;m=22ad460d38;t=56b2ba254f68e;x=f4d581c7d34b7e55
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1113

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 atk_object_notify_state_change at atkobject.c:1215
 #1 ev_view_accessible_set_page_range at ev-view-accessible.c:598
 #2 view_update_range_and_current_page at ev-view.c:821
 #3 on_adjustment_value_changed at ev-view.c:7851
 #8 emit_value_changed at gtkadjustment.c:349
 #9 adjustment_set_value at gtkadjustment.c:450
 #10 gtk_adjustment_set_value_internal at gtkadjustment.c:545
 #11 gtk_adjustment_set_value at gtkadjustment.c:567
 #12 ev_view_set_adjustment_values at ev-view.c:701
 #13 ev_view_size_allocate at ev-view.c:4076

Potential duplicate: bug 1151876

Comment 1 D. Hugh Redelmeier 2018-05-02 02:15:37 UTC
Created attachment 1429622 [details]
File: backtrace

Comment 2 D. Hugh Redelmeier 2018-05-02 02:15:39 UTC
Created attachment 1429623 [details]
File: cgroup

Comment 3 D. Hugh Redelmeier 2018-05-02 02:15:41 UTC
Created attachment 1429624 [details]
File: core_backtrace

Comment 4 D. Hugh Redelmeier 2018-05-02 02:15:42 UTC
Created attachment 1429625 [details]
File: cpuinfo

Comment 5 D. Hugh Redelmeier 2018-05-02 02:15:43 UTC
Created attachment 1429626 [details]
File: dso_list

Comment 6 D. Hugh Redelmeier 2018-05-02 02:15:45 UTC
Created attachment 1429627 [details]
File: environ

Comment 7 D. Hugh Redelmeier 2018-05-02 02:15:46 UTC
Created attachment 1429628 [details]
File: exploitable

Comment 8 D. Hugh Redelmeier 2018-05-02 02:15:48 UTC
Created attachment 1429629 [details]
File: limits

Comment 9 D. Hugh Redelmeier 2018-05-02 02:15:50 UTC
Created attachment 1429630 [details]
File: maps

Comment 10 D. Hugh Redelmeier 2018-05-02 02:15:51 UTC
Created attachment 1429631 [details]
File: mountinfo

Comment 11 D. Hugh Redelmeier 2018-05-02 02:15:52 UTC
Created attachment 1429632 [details]
File: open_fds

Comment 12 D. Hugh Redelmeier 2018-05-02 02:15:54 UTC
Created attachment 1429633 [details]
File: proc_pid_status

Comment 13 D. Hugh Redelmeier 2018-05-02 02:15:55 UTC
Created attachment 1429634 [details]
File: var_log_messages

Comment 14 Ben Cotton 2018-11-27 15:56:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:21:34 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.